# Class: ProjectValidateClient

## ProjectValidateClient

## Constructor

#### new ProjectValidateClient(jiraClient)

Used to access Jira REST endpoints in '/rest/api/2/projectvalidate'

##### Parameters:

Name | Type | Description
--- | --- | ---
`jiraClient` | JiraClient |

Source:
  - api/projectValidate.js, line 5

### Methods

#### validateProjectKey(opts, callback)

Validates a project key. This endpoint is a little wonky, as it returns a list of errors as a valid response; even if the key is invalid, it still returns a 200 response. See https://docs.atlassian.com/jira/REST/latest/#d2e297

##### Parameters:

Name | Type | Description
--- | --- | ---

`opts`

The request options sent to the Jira API.

###### Properties

Name | Type | Description
--- | --- | ---
`projectKey` |  | The key of the project.

`callback` |  | Called when the key has been validated.

Source:
  - api/projectValidate.js, line 14